### Method

# AppStream Component clear_keywords

#### Declaration [src]

    void
    as_component_clear_keywords (
      AsComponent* cpt,
      const gchar* locale
    )

#### Description [src]

Remove all keywords for the given locale.

#### Parameters

`locale`

  Type: `const gchar*`

  BCP47 locale of the values, or `NULL` to use current locale.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.